'use strict';

const index = require('./index-c9014d38.js');
const appGlobals = require('./app-globals-528ec340.js');

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('x-stack-toolbar.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  appGlobals.globalScripts();
  return index.bootstrapLazy([["marketplace-toolbar.cjs",[[1,"marketplace-toolbar",{"activated":[4],"appId":[1,"application-id"],"defaultColor":[1,"default-color"],"versionId":[1,"version-id"],"identityId":[1,"identity-id"],"initialState":[1,"initial-state"],"buttonToggleCorrelationId":[32],"myAppsVisible":[32]}]]],["contact-sales.cjs",[[0,"contact-sales"]]],["svg-icon.cjs",[[1,"svg-icon",{"icon":[1],"category":[1],"currentIcon":[32],"currentCategory":[32]}]]],["marketplace-popover.cjs",[[4,"marketplace-popover",{"popoverState":[32],"show":[64],"isVisible":[64]}]]],["subscription-carousel.cjs",[[0,"subscription-carousel",{"presentAppDetailsModal":[64],"dismissAppDetailsPopover":[64]}]]],["my-apps-popover.cjs",[[0,"my-apps-popover",{"popoverState":[32],"subscriptionListSiteState":[32],"currentSubscriptionSiteState":[32],"navigating":[32],"isVisible":[64],"show":[64]}]]],["marketing-carousel_3.cjs",[[1,"marketing-carousel",{"buttonText":[32],"transitionToSlide":[64],"reset":[64],"goBack":[64]}],[4,"marketplace-modal",{"autoWireOpen":[4,"auto-wire-open"],"showBack":[4,"show-back"],"width":[1],"openDialog":[64]}],[0,"recommendation-popover"]]],["all-apps_4.cjs",[[0,"all-apps",{"buttonText":[32]}],[0,"recommended-apps"],[0,"my-apps",{"visible":[4,"isvisible"],"popoverActive":[32]}],[0,"market-connect"]]]], options);
});
