export class ComponenetFactory {
  static injectComponenet(parent, contentBuilder) {
    if (parent.childNodes.length > 0) {
      parent.removeChild(parent.childNodes[0]);
    }
    const element = contentBuilder(parent);
    parent.appendChild(element);
    return new Promise((r, _) => {
      r(element);
    });
  }
  static disposeComponenet(parent, component) {
    parent.removeChild(component);
  }
}
