import { p as promiseResolve, b as bootstrapLazy } from './index-3adfa07d.js';
import { g as globalScripts } from './app-globals-d3f2836a.js';

/*
 Stencil Client Patch Browser v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  globalScripts();
  return bootstrapLazy([["marketplace-toolbar",[[1,"marketplace-toolbar",{"activated":[4],"appId":[1,"application-id"],"defaultColor":[1,"default-color"],"versionId":[1,"version-id"],"identityId":[1,"identity-id"],"initialState":[1,"initial-state"],"buttonToggleCorrelationId":[32],"myAppsVisible":[32]}]]],["contact-sales",[[0,"contact-sales"]]],["svg-icon",[[1,"svg-icon",{"icon":[1],"category":[1],"currentIcon":[32],"currentCategory":[32]}]]],["marketplace-popover",[[4,"marketplace-popover",{"popoverState":[32],"show":[64],"isVisible":[64]}]]],["subscription-carousel",[[0,"subscription-carousel",{"presentAppDetailsModal":[64],"dismissAppDetailsPopover":[64]}]]],["my-apps-popover",[[0,"my-apps-popover",{"popoverState":[32],"subscriptionListSiteState":[32],"currentSubscriptionSiteState":[32],"navigating":[32],"isVisible":[64],"show":[64]}]]],["marketing-carousel_3",[[1,"marketing-carousel",{"buttonText":[32],"transitionToSlide":[64],"reset":[64],"goBack":[64]}],[4,"marketplace-modal",{"autoWireOpen":[4,"auto-wire-open"],"showBack":[4,"show-back"],"width":[1],"openDialog":[64]}],[0,"recommendation-popover"]]],["all-apps_4",[[0,"all-apps",{"buttonText":[32]}],[0,"recommended-apps"],[0,"my-apps",{"visible":[4,"isvisible"],"popoverActive":[32]}],[0,"market-connect"]]]], options);
});
