export interface ClickStream {
  trackingKey?: string;
  sessionId?: string;
  category: string;
  requestingClientId?: string;
  capturedMetrics: Metric;
}
export interface Metric {
  action: string;
  correlationId?: string;
  sourceSubscriptionId?: string;
  destinationSubscriptionId?: string;
  timeClicked?: Date;
  sourceSubscriptionTitle?: string;
  destinationSubscriptionTitle?: string;
  portalId?: string;
  portalName?: string;
  instance?: string;
}
