import { SubscriptionModel } from '../models';
import { EnvironmentConfig } from '../global/environment.config';
import { AbstractService } from './abstract.service';
export declare class RecommendationService extends AbstractService {
  config: EnvironmentConfig;
  recommendationRoute: string;
  constructor(config: EnvironmentConfig);
  getRecommendations(identityId: string): Promise<Array<SubscriptionModel>>;
}
