import { SubscriptionModel } from '../models';
import { EnvironmentConfig } from '../global/environment.config';
import { AbstractService } from './abstract.service';
import { UserSubscriptionProfile } from '../models/user.subscription.profile';
export declare class SubscriptionService extends AbstractService {
  config: EnvironmentConfig;
  subscriptionRoute: string;
  constructor(config: EnvironmentConfig);
  enumerateSubscriptions(): Promise<Array<SubscriptionModel>>;
  enumerateMySubscriptions(): Promise<UserSubscriptionProfile>;
  debug(): Promise<void>;
}
