'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-c9014d38.js');
const analytic_constants = require('./analytic.constants-12a9229f.js');
const util_service = require('./util.service-0939076e.js');

const contactSalesCss = "label{display:block}.btn-contact{background-color:#007dff}.btn-contact:hover{background-color:#0d194f}";

const ContactSales = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("div", { class: "flex flex-row justify-center content-center text-white font-normal  " }, index.h("div", { class: "flex flex-col justify-center content-center" }, index.h("div", { class: "description font-normal mb-4" }, "Please make sure the information below is correct and our sales team will contact you as soon as possible"), index.h("div", { class: "grid grid-cols-2 gap-4" }, index.h("div", { class: "grid grid-cols-1 gap-4 text-white" }, index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "First Name"), index.h("input", { type: "email", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "john@example.com" })), index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "Club"), index.h("input", { type: "text", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50" })), index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "Phone"), index.h("input", { type: "phone", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50" }))), index.h("div", { class: "grid grid-cols-1 gap-4 text-white" }, index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "Last name"), index.h("input", { type: "text", class: "mt-1 text-black block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "" })), index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "Email address"), index.h("input", { type: "email", class: "text-black mt-1 block w-full px-2 py-1 rounded-sm border-gray-300 shadow-sm  focus:ring-opacity-50", placeholder: "john@example.com" })), index.h("label", { class: "block" }, index.h("span", { class: "text-white-700" }, "Preferred Contact"), index.h("select", { class: "block text-black  w-full mt-1 rounded-sm px-2 py-1 border-gray-300 shadow-sm  focus:ring-opacity-50" }, index.h("option", { selected: true }, "Email"), index.h("option", null, "Phone"))))), index.h("div", { class: "mt-3 font-normal" }, "Check all products that your are interested in:"), index.h("ul", { class: "flex flex-row flex-wrap text-white" }, analytic_constants.state.recommendations
      .map(x => util_service.UtilService.mapSubscription(x))
      .map(app => (index.h("li", { class: "cursor-pointer rounded p-1" }, index.h("label", null, index.h("input", { type: "checkbox" }), index.h("span", { class: "ml-2 mr-2 text-white text-xs" }, util_service.UtilService.getMetadataValue(app.subscription.metadata, 'category'))))))), index.h("div", { class: "flex justify-end justify-items-end" }, index.h("ul", { class: "flex flex-row rounded cursor-pointer  btn-contact", id: "contact-sales" }, index.h("li", { class: "cursor-pointer" }, index.h("div", { class: " flex  text-white  p-2 rounded whitespace-nowrap cursor:pointer" }, index.h("span", { class: "ml-1 font-bold text-xs" }, "Send To Sales"))))))));
  }
};
ContactSales.style = contactSalesCss;

exports.contact_sales = ContactSales;
