export function getSubscriptions() {
  return [
    {
      subscriptionId: '5fce52b3d40f60002ecc637c',
      price: 29.99,
      title: 'SportsConnect',
      description: 'Used by over 20,000 clubs and leagues, Sports Connect is the trusted league management solution for sports. Powering USA Football, Pop Warner Football, National Flag, Little League Baseball, and US Soccer there is no substitute for this elite platform.',
      tags: ['tag'],
      metadata: {
        logo: 'SportsConnect.png',
        transparentLogo: 'logo.sports.connect.transparent.svg',
        darkLogo: 'logo.sports.connect.svg',
        icon: 'sportsconnect',
        category: 'Clubs',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '5a661aba2d2f5f2875804f9c',
      price: 29.99,
      title: 'Officials Connect',
      description: 'Robust officials-management features including assignments, certifications, payment management, and more',
      tags: ['tag'],
      metadata: {
        logo: 'OfficialsConnect.png',
        transparentLogo: 'logo.officials.connect.transparent.svg',
        darkLogo: 'logo.officials.connect.svg',
        icon: 'refs',
        category: 'Refs',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '3',
      price: 29.99,
      title: 'Tournament Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'TournamentConnect.png',
        transparentLogo: 'logo.tournament.connect.transparent.svg',
        darkLogo: 'logo.tournament.connect.svg',
        icon: 'tournament',
        category: 'Tournament',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '4',
      price: 29.99,
      title: 'Stack Pay',
      description: 'Stack Pay is a payment platform developed specifically for youth sports. We are responsible for over $600 Million in online registrations, product purchases and parent money transfers and fundraising.',
      tags: ['tag'],
      metadata: {
        logo: 'StackPay.png',
        transparentLogo: 'logo.stackpay.transparent.svg',
        darkLogo: 'logo.stackpay.svg',
        icon: 'stackPay',
        category: 'Payment',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '5',
      price: 29.99,
      title: 'Game Plan',
      tags: ['tag'],
      description: 'GamePlan is the leading provider of athlete-development and game-preparation software, built to help sports teams take their player & team development to the next level. This innovative platform is used by over 40 professional sports teams, including 6 of the past 7 World Series winners. How can you take your game to the next level?',
      metadata: {
        logo: 'Gameplan.png',
        transparentLogo: 'logo.gameplan.transparent.svg',
        darkLogo: 'logo.gameplan.svg',
        icon: 'video',
        category: 'Video',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '6',
      price: 29.99,
      title: 'Stream Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'StreamConnect.png',
        transparentLogo: 'logo.stream.connect.transparent.svg',
        darkLogo: 'logo.stream.connect.svg',
        icon: 'streaming',
        category: 'Live Streaming',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '7',
      price: 29.99,
      title: 'Paymnet Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'PaymentConnect.png',
        transparentLogo: 'logo.payment.connect.transparent.svg',
        darkLogo: 'logo.payment.connect.svg',
        icon: 'payments',
        category: 'Payments',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '8',
      price: 29.99,
      title: 'CaptainU',
      description: 'CaptainU is how colleges find the next great athletes in the digital era. Over 3 Million athletes have used it to follow their dream of playing in college. Are you next?',
      tags: ['tag'],
      metadata: {
        logo: 'CaptainU.png',
        transparentLogo: 'logo.captainu.transparent.svg',
        darkLogo: 'logo.captainu.svg',
        icon: 'recruiting',
        category: 'Recruiting',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '9',
      price: 29.99,
      title: 'Stats Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'StatsConnect.png',
        transparentLogo: 'logo.stats.connect.transparent.svg',
        darkLogo: 'logo.stats.connect.svg',
        icon: 'stats',
        category: 'Stats',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '10',
      price: 29.99,
      title: 'Fundraise Connect',
      description: 'Fundraise Connect is secure, free to sign up, and you pay only a reasonable percentage of what you raise. It is an easy way for friends and families to donate online',
      tags: ['tag'],
      metadata: {
        logo: 'FundraiseConnect.png',
        transparentLogo: 'logo.fundraise.connect.transparent.svg',
        darkLogo: 'logo.fundraise.connect.svg',
        icon: 'fundraising',
        category: 'Fundraising',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '11',
      price: 29.99,
      title: 'Travel Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'TravelConnect.png',
        transparentLogo: 'logo.travel.connect.transparent.svg',
        darkLogo: 'logo.travel.connect.svg',
        icon: 'travel',
        category: 'Travel',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '12',
      price: 29.99,
      title: 'Camps Connect',
      description: 'The #1 Camps Franchise in the US for three years in a row. Camps Connect camps incorporate STEM learning with on-the-field instruction to create the best experience for athletes. From age two until you graduate high school, Camps Connect is the only camp you will ever need.',
      tags: ['tag'],
      metadata: {
        logo: 'CampsConnect.png',
        transparentLogo: 'logo.camps.connect.transparent.svg',
        darkLogo: 'logo.camps.connect.svg',
        icon: 'camps',
        category: 'Camps',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
    {
      subscriptionId: '13',
      price: 29.99,
      title: 'Esports Connect',
      description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Neque vitae tempus quam pellentesque. Urna id volutpat lacus laoreet non curabitur gravida.',
      tags: ['tag'],
      metadata: {
        logo: 'EsportsConnect.png',
        transparentLogo: 'logo.esports.connect.transparent.svg',
        darkLogo: 'logo.esports.connect.svg',
        icon: 'esports',
        category: 'Esports',
      },
      marketing: [
        {
          title: 'Video',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
        {
          title: 'Screen Shot 1',
          salesEmail: 'sales@sales.com',
          websiteUrl: '',
          screenshotUrl: '',
        },
      ],
    },
  ];
}
export function getMySubscriptions() {
  const ids = ['1', '2', '3', '4'];
  const subscriptions = getSubscriptions();
  return [...subscriptions.filter(x => ids.includes(x.subscriptionId))];
}
