export class Logger {
  static initialize(config) {
    if (config.enableLogging === true) {
      this._enabled = true;
      return;
    }
    this._enabled = !config.production;
    this._log = console.log.bind(window.console);
  }
  debug(message, ...optionalParameters) {
    if (Logger._enabled) {
      console.log.bind(this)(message, optionalParameters);
    }
  }
}
