function getGlobalConfig() {
  return {
    version: '3.0.53',
  };
}

const configuration = getGlobalConfig();
function setupConfig(config) {
  if (!window) {
    return;
  }
  const demo = window.sessionStorage.getItem('marketplace-demo');
  if (demo) {
    config.demo = demo === 'true';
  }
  console.group('marketplace-toolbar configuration');
  console.log('version', configuration.version);
  console.log('assetsBasePath', config.assetBasePath);
  console.log('apiPath', config.apiPath);
  console.log('production', config.production);
  console.log('apiKey', config.apiKey === undefined);
  console.log('demo', config.demo);
  console.log('cdn uri', config.cdnUri);
  console.groupEnd();
  window.localStorage.setItem('marketplace-config', JSON.stringify(config));
  return config;
}

function appGlobalScript () {
  // or export default async function()
  const url = 'https://ik.imagekit.io/gm5jtgeq4sp/StackSportsBrand';
  setupConfig({
    assetBasePath: url,
    production: true,
    apiPath: 'https://ipa.stacksports.com',
    apiKey: 'VgB2hppXpQ',
    demo: false,
    cdnUri: url,
  });
}

const globalScripts = appGlobalScript;

export { globalScripts as g };
