import { EventEmitter } from '../../stencil-public-runtime';
import { SubscriptionModel } from '../../models';
export declare class MarketingCarousel {
  currentSubscription(): Array<SubscriptionModel>;
  el: HTMLElement;
  buttonText: string;
  componentWillLoad(): void;
  isVideo(url: string, contentType: string): boolean;
  isImage(url: string, contentType: string): boolean;
  beginButtonTransition(text: string): void;
  private getSlideElements;
  private showSlide;
  private hideSlide;
  transitionToSlide(from?: number): Promise<void>;
  reset(): Promise<void>;
  goBack(): Promise<void>;
  slideChanged: EventEmitter<any>;
  onSlideChanged(payload: any): void;
  next(): void;
  prev(): void;
  contactSales(): void;
  trackButtonClick(): void;
  trackSlideChangeEvent(): void;
  render(): any[];
}
