import { EventEmitter } from '../../stencil-public-runtime';
export declare class MarketplaceModalComponent {
  autoWireOpen: boolean;
  showBack: boolean;
  width: string;
  el: HTMLElement;
  dialogOpening: EventEmitter<string>;
  backClicked: EventEmitter<string>;
  onBackClicked(payload: string): void;
  onDialogOpening(payload: string): void;
  dialogClosed: EventEmitter<string>;
  onDialogClosed(payload: string): void;
  openDialog(): Promise<void>;
  dismiss(): void;
  presentModal(): Promise<void>;
  render(): any[];
}
