import { SubscriptionModel } from './subscription.model';
import { SvgIcon } from './svg.icon';
export declare class ToolbarState {
  applicationId: string;
  currentSubscriptionId: string;
  identityId: string;
  currentSubscription: SubscriptionModel;
  selectedSubscription: SubscriptionModel;
  subscriptions: Array<SubscriptionModel>;
  mySubscriptions: Array<SubscriptionModel>;
  recommendations: Array<SubscriptionModel>;
  currentIcon: SvgIcon;
  carouselIndex: number;
  myAppsVisible: boolean;
  allAppsVisible: boolean;
  recommendationsVisible: boolean;
  isOpen: boolean;
  toolbarState: string;
  carouselSlideIndex: number;
  btnClicked: boolean;
  backVisible: boolean;
  popoverVisible: boolean;
  toolbarClasses: string;
  defaultColor: string;
  versionId: string;
  profile: string;
  trackingKey: string;
  sessionId: string;
  scopedCorrelationId: string;
  turnstileIdToken: any;
  constructor(applicationId?: string, currentSubscriptionId?: string, identityId?: string, currentSubscription?: SubscriptionModel, selectedSubscription?: SubscriptionModel, subscriptions?: Array<SubscriptionModel>, mySubscriptions?: Array<SubscriptionModel>, recommendations?: Array<SubscriptionModel>, currentIcon?: SvgIcon, carouselIndex?: number, myAppsVisible?: boolean, allAppsVisible?: boolean, recommendationsVisible?: boolean, isOpen?: boolean, toolbarState?: string, carouselSlideIndex?: number, btnClicked?: boolean, backVisible?: boolean, popoverVisible?: boolean, toolbarClasses?: string, defaultColor?: string, versionId?: string, profile?: string, trackingKey?: string, sessionId?: string, scopedCorrelationId?: string, turnstileIdToken?: any);
}
