import { SvgIcon, SubscriptionModel } from '../models';
import { EnvironmentConfig } from '../global/environment.config';
export declare abstract class UtilService {
  static getMetadataValue(metadata: object, key: string): any;
  static getIcon(metadata: object): any;
  static getCategory(metadata: object, limit?: number): any;
  static getLogo(metadata: object, getAssetPath?: any): any;
  static getLogoTransparent(metadata: object, getAssetPath?: any): any;
  static getLogoDark(metadata: object, getAssetPath?: any): any;
  static getSvgIcon(metadata: object | string): SvgIcon;
  static mapSubscription(x: SubscriptionModel): {
    subscription: SubscriptionModel;
    icon: SvgIcon;
    active: boolean;
  };
  static getFromCdn(path: string): string;
  static getAsAsset(getAssetPath: any, path: string): any;
  static EnvironmentConfiguration(): EnvironmentConfig;
  static animateOnShow(element: HTMLElement): Promise<Animation>;
  static closeAnimation(startingHeight: number, element: HTMLElement): Promise<any>;
  static openAnimation(element: HTMLElement): Promise<any>;
  static animateOnHide(element: HTMLElement): Promise<HTMLElement>;
}
